XAPIAN-CHECK(1)

NAME
xapian-check - Check the consistency of a database or table

SYNOPSIS
xapian-check <database directory>|<path to btree and prefix> [[t][f][b][v][+]]

DESCRIPTION
xapian-check - Check the consistency of a database or table

If a whole database is checked, then additional cross-checks between the tables are performed.

  The btree(s) is/are always checked - control the output verbosity with:

    t = short tree printing f = full tree printing b = show bitmap v = show stats about B-tree (default) + = same as tbv e.g. xapian-check /var/lib/xapian/data/default

    xapian-check /var/lib/xapian/data/default/postlist fbv